Subject: bug#54436: 28.0.91; Only every second mouse wheel scroll is registered

From: Urban Duh <[email-masked]>
Date: Tue, 22 Mar 2022 14:59:40 +0100

This makes scrolling behave as it should on Wayland. On X however, Emacs
now receives too many scroll events per scroll on certain mouses. On
Logitech MX master 3, every mouse wheel scroll is registered as a double or
triple scroll. I would guess this has something to do with its scroll
wheel, since it has an electromagnetic scroll wheel. Such issues do not
exists on Emacs 28 though, but I guess I could probably make it usable by
binding triple scroll to normal scroll.

On Mon, 21 Mar 2022 at 12:05, Po Lu <[email-masked]> wrote:

> Urban Duh <[email-masked]> writes:
>
> >> On the other hand, I don't see why that would happen on Wayland.  Do you
> >> see a similar problem with a different mouse?  And can you verify that
> >> your build is actually running in Wayland and not Xwayland?
> >
> > I have the same issue with two different mouses (Logitech MX Master 3 and
> > a cheap off-brand mouse). My build is running Wayland (tested with xeyes
> > and by disabling Xwayland on gnome via gnome-shell --no-x11).
>
> What happens if you set mwheel-coalesce-scroll-events to nil?
>